diff --git a/gcc/config/picochip/picochip.c b/gcc/config/picochip/picochip.c
index 2476f73..b9247b2 100644
--- a/gcc/config/picochip/picochip.c
+++ b/gcc/config/picochip/picochip.c
@@ -354,7 +354,7 @@ picochip_option_override (void)
 {
   /* If we are optimizing for stack, dont let inliner to inline functions
      that could potentially increase stack size.*/
-   if (flag_conserve_stack)
+   if (GCC_OPTION (flag_conserve_stack))
      {
        maybe_set_param_value (PARAM_LARGE_STACK_FRAME, 0,
 			      global_options.x_param_values,
@@ -369,20 +369,20 @@ picochip_option_override (void)
      generics, and so on, and it is useful to retain this information
      in the debug output. The increased size of the debug information
      is not really an issue for us. */
-  flag_eliminate_unused_debug_types = 0;
+  GCC_OPTION (flag_eliminate_unused_debug_types) = 0;
 
   /* Even if the user specifies a -fno-omit-frame-pointer on the
      command line, we still want to go ahead and omit frame pointer
      usages, since we dont really have a frame pointer register.
      So, all accesses to FP need to be converted to accesses off
      stack pointer.*/
-  flag_omit_frame_pointer = 1;
+  GCC_OPTION (flag_omit_frame_pointer) = 1;
 
   /* Turning on anchored addresses by default. This is an optimization
      that could decrease the code size by placing anchors in data and
      accessing offsets from the anchor for file local data variables.*/
-  if (optimize >= 1)
-    flag_section_anchors = 1;
+  if (GCC_OPTION (optimize) >= 1)
+    GCC_OPTION (flag_section_anchors) = 1;
 
   /* The second scheduling pass runs within picochip_reorg, to avoid
      having the second jump optimisation trash the instruction modes
@@ -393,14 +393,14 @@ picochip_option_override (void)
      also enable VLIW instruction packing.  VLIW instructions use more
      code space, so VLIW scheduling is disabled when scheduling for
      size.  */
-  if (flag_schedule_insns_after_reload)
+  if (GCC_OPTION (flag_schedule_insns_after_reload))
     {
-      if (optimize_size)
+      if (GCC_OPTION (optimize_size))
 	picochip_schedule_type = DFA_TYPE_SPACE;
       else
 	{
 	  picochip_schedule_type = DFA_TYPE_SPEED;
-	  flag_delayed_branch = 0;
+	  GCC_OPTION (flag_delayed_branch) = 0;
 	}
     }
   else
@@ -410,23 +410,23 @@ picochip_option_override (void)
      analyser works at its best if it always has debug
      information. DWARF is non-intrusive, so it makes no difference to
      code quality if debug is always enabled. */
-  if (debug_info_level < DINFO_LEVEL_NORMAL)
+  if (GCC_OPTION (debug_info_level) < DINFO_LEVEL_NORMAL)
   {
-    debug_info_level = DINFO_LEVEL_NORMAL;
-    write_symbols = DWARF2_DEBUG;
+    GCC_OPTION (debug_info_level) = DINFO_LEVEL_NORMAL;
+    GCC_OPTION (write_symbols) = DWARF2_DEBUG;
   }
 
   /* Options of the form -mae=mac, and so on will be substituted by
      the compiler driver for the appropriate byte access and multiply
      unit ISA options. Any unrecognised AE types will end up being
      passed to the compiler, which should reject them as invalid. */
-  if (picochip_ae_type_string != NULL)
-    error ("invalid AE type specified (%s)", picochip_ae_type_string);
+  if (GCC_OPTION (picochip_ae_type_string) != NULL)
+    error ("invalid AE type specified (%s)", GCC_OPTION (picochip_ae_type_string));
 
   /* Override any specific capabilities of the instruction set. These
      take precedence over any capabilities inferred from the AE type,
      regardless of where the options appear on the command line. */
-  if (picochip_mul_type_string == NULL)
+  if (GCC_OPTION (picochip_mul_type_string) == NULL)
     {
       /* Default to MEM-type multiply, for historical compatibility. */
       picochip_has_mac_unit = false;
@@ -437,15 +437,15 @@ picochip_option_override (void)
       picochip_has_mac_unit = false;
       picochip_has_mul_unit = false;
 
-      if (strcmp (picochip_mul_type_string, "mul") == 0)
+      if (strcmp (GCC_OPTION (picochip_mul_type_string), "mul") == 0)
 	picochip_has_mul_unit = true;
-      else if (strcmp (picochip_mul_type_string, "mac") == 0)
+      else if (strcmp (GCC_OPTION (picochip_mul_type_string), "mac") == 0)
 	picochip_has_mac_unit = true;
-      else if (strcmp (picochip_mul_type_string, "none") == 0)
+      else if (strcmp (GCC_OPTION (picochip_mul_type_string), "none") == 0)
 	{ /* Do nothing. Unit types already set to false. */ }
       else
 	error ("invalid mul type specified (%s) - expected mac, mul or none",
-	       picochip_mul_type_string);
+	       GCC_OPTION (picochip_mul_type_string));
     }
 }
 
@@ -852,7 +852,7 @@ picochip_function_arg (cumulative_args_t cum_v, enum machine_mode mode,
   else
     new_offset = (*cum - offset_overflow) + type_align_in_units;
 
-  if (TARGET_DEBUG)
+  if (GCC_OPTION (TARGET_DEBUG))
     {
       printf ("Function arg:\n");
       printf ("  Type valid: %s\n", (type ? "yes" : "no"));
@@ -985,7 +985,7 @@ picochip_arg_partial_bytes (cumulative_args_t p_cum, enum machine_mode mode,
   else
     new_offset = (cum - offset_overflow) + type_align_in_units;
 
-  if (TARGET_DEBUG)
+  if (GCC_OPTION (TARGET_DEBUG))
     {
       printf ("Partial function arg nregs:\n");
       printf ("  Type valid: %s\n", (type ? "yes" : "no"));
@@ -1440,7 +1440,7 @@ picochip_legitimize_address (rtx x, rtx oldx ATTRIBUTE_UNUSED,
 {
   unsigned mask_val;
 
-  if (!optimize)
+  if (!GCC_OPTION (optimize))
     return x;
 
   /* Depending on mode, the offsets allowed are either 16/32/64.*/
@@ -1506,7 +1506,7 @@ picochip_legitimize_reload_address (rtx *x,
       *x = gen_rtx_CONST(mode, *x);
       return 0;
     }
-  if (!optimize)
+  if (!GCC_OPTION (optimize))
     return 0;
 
   /* We should recognise addresses that we created.*/
@@ -3255,7 +3255,7 @@ picochip_reorg (void)
      with old MDEP_REORGS that are not CFG based.  Recompute it now.  */
   compute_bb_for_insn ();
 
-  if (optimize == 0)
+  if (GCC_OPTION (optimize) == 0)
     split_all_insns ();
 
   if (picochip_schedule_type != DFA_TYPE_NONE)
@@ -3357,7 +3357,7 @@ picochip_reorg (void)
 	}
     }
 
-  if (flag_var_tracking)
+  if (GCC_OPTION (flag_var_tracking))
     {
       timevar_push (TV_VAR_TRACKING);
       variable_tracking_main ();
@@ -3442,7 +3442,7 @@ picochip_reset_vliw (rtx insn)
   if (picochip_schedule_type != DFA_TYPE_SPEED)
     return;
 
-  if (TARGET_DEBUG)
+  if (GCC_OPTION (TARGET_DEBUG))
     printf ("%s on insn %d\n", __FUNCTION__, INSN_UID (insn));
 
   /* Reset. */
@@ -3537,7 +3537,7 @@ int
 picochip_sched_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
 {
 
-  if (TARGET_DEBUG)
+  if (GCC_OPTION (TARGET_DEBUG))
     {
       printf ("Sched Adjust Cost: %d->%d is %d\n",
 	      INSN_UID (insn), INSN_UID (dep_insn), cost);
@@ -3582,7 +3582,7 @@ picochip_sched_adjust_cost (rtx insn, rtx link, rtx dep_insn, int cost)
   if ((JUMP_P (dep_insn) || CALL_P(dep_insn)) && REG_NOTE_KIND (link) == REG_DEP_ANTI)
     {
 
-      if (TARGET_DEBUG)
+      if (GCC_OPTION (TARGET_DEBUG))
 	printf ("Promoting anti-dependency %d->%d to a true-dependency\n",
 		INSN_UID (insn), INSN_UID (dep_insn));
 
@@ -3879,7 +3879,7 @@ picochip_final_prescan_insn (rtx insn, rtx * opvec ATTRIBUTE_UNUSED,
 
   picochip_current_prescan_insn = insn;
 
-  if (TARGET_DEBUG)
+  if (GCC_OPTION (TARGET_DEBUG))
     printf ("Final prescan on INSN %d with mode %s\n",
 	    INSN_UID (insn), GET_MODE_NAME (GET_MODE (insn)));
 
@@ -4604,7 +4604,7 @@ picochip_get_hi_aligned_mem (rtx ref, rtx * paligned_mem, rtx * pbitnum)
 
   if (offset > 0)
     {
-      if (TARGET_DEBUG)
+      if (GCC_OPTION (TARGET_DEBUG))
 	{
 	  printf
 	    ("Found non-zero offset in get_hi_aligned_mem - check that the correct value is being used (as this functionality hasn't been exploited yet).\n");
diff --git a/gcc/config/picochip/picochip.h b/gcc/config/picochip/picochip.h
index 1daf93c..6d558b1 100644
--- a/gcc/config/picochip/picochip.h
+++ b/gcc/config/picochip/picochip.h
@@ -79,7 +79,7 @@ extern enum picochip_dfa_type picochip_schedule_type;
 #define MULTILIB_DEFAULTS \
   { "mmul-type=mul", "mbyte-access"}
 
-#define TARGET_HAS_BYTE_ACCESS (picochip_has_byte_access)
+#define TARGET_HAS_BYTE_ACCESS (GCC_OPTION (picochip_has_byte_access))
 #define TARGET_HAS_MUL_UNIT (picochip_has_mul_unit)
 #define TARGET_HAS_MAC_UNIT (picochip_has_mac_unit)
 #define TARGET_HAS_MULTIPLY (picochip_has_mac_unit || picochip_has_mul_unit)
diff --git a/gcc/config/rl78/rl78.c b/gcc/config/rl78/rl78.c
index b5cd2ad..ed17cef 100644
--- a/gcc/config/rl78/rl78.c
+++ b/gcc/config/rl78/rl78.c
@@ -311,9 +311,9 @@ rl78_asm_file_start (void)
 static void
 rl78_option_override (void)
 {
-  flag_omit_frame_pointer = 1;
-  flag_no_function_cse = 1;
-  flag_split_wide_types = 0;
+  GCC_OPTION (flag_omit_frame_pointer) = 1;
+  GCC_OPTION (flag_no_function_cse) = 1;
+  GCC_OPTION (flag_split_wide_types) = 0;
 
   init_machine_status = rl78_init_machine_status;
 
@@ -1064,7 +1064,7 @@ rl78_expand_prologue (void)
   /* Always re-compute the frame info - the register usage may have changed.  */
   rl78_compute_frame_info ();
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     current_function_static_stack_size = cfun->machine->framesize;
 
   if (is_interrupt_func (cfun->decl) && !TARGET_G10)
@@ -2092,7 +2092,7 @@ record_content (rtx loc, rtx value)
 
   if (val == index)
     {
-      if (! optimize)
+      if (! GCC_OPTION (optimize))
 	return;
 
       /* This should not happen when optimizing.  */
@@ -2349,7 +2349,7 @@ gen_and_emit_move (rtx to, rtx from, rtx where, bool before)
 {
   enum machine_mode mode = GET_MODE (to);
 
-  if (optimize && before && already_contains (to, from))
+  if (GCC_OPTION (optimize) && before && already_contains (to, from))
     {
 #if DEBUG_ALLOC
       display_content_memory (stderr);
@@ -2759,7 +2759,7 @@ rl78_alloc_physical_registers_op2 (rtx insn)
   /* If HL is not currently being used and dest == op1 then there are
      some possible optimizations available by reloading one of the
      operands into HL, before trying to use the accumulator.  */
-  if (optimize
+  if (GCC_OPTION (optimize)
       && ! hl_used
       && rtx_equal_p (OP (0), OP (1)))
     {
@@ -3627,7 +3627,7 @@ rl78_reorg (void)
 {
   /* split2 only happens when optimizing, but we need all movSIs to be
      split now.  */
-  if (optimize <= 0)
+  if (GCC_OPTION (optimize) <= 0)
     split_all_insns ();
 
   rl78_alloc_physical_registers ();
@@ -3655,12 +3655,12 @@ rl78_reorg (void)
      df_rescan_all_insns is not going to help here because it does not
      touch the artificial uses and defs.  */
   df_finish_pass (true);
-  if (optimize > 1)
+  if (GCC_OPTION (optimize) > 1)
     df_live_add_problem ();
   df_scan_alloc (NULL);
   df_scan_blocks ();
 
-  if (optimize)
+  if (GCC_OPTION (optimize))
     df_analyze ();
 }
 
diff --git a/gcc/config/rl78/rl78.h b/gcc/config/rl78/rl78.h
index 8dee92b..dca4d6e 100644
--- a/gcc/config/rl78/rl78.h
+++ b/gcc/config/rl78/rl78.h
@@ -19,9 +19,9 @@
    <http://www.gnu.org/licenses/>.  */
 
 
-#define RL78_MUL_NONE	(rl78_mul_type == MUL_NONE)
-#define RL78_MUL_RL78	(rl78_mul_type == MUL_RL78)
-#define RL78_MUL_G13	(rl78_mul_type == MUL_G13)
+#define RL78_MUL_NONE	(GCC_OPTION (rl78_mul_type) == MUL_NONE)
+#define RL78_MUL_RL78	(GCC_OPTION (rl78_mul_type) == MUL_RL78)
+#define RL78_MUL_G13	(GCC_OPTION (rl78_mul_type) == MUL_G13)
 
 #define TARGET_CPU_CPP_BUILTINS()               \
   do                                            \
@@ -439,7 +439,7 @@ typedef unsigned int CUMULATIVE_ARGS;
 
 /* For PIC put jump tables into the text section so that the offsets that
    they contain are always computed between two same-section symbols.  */
-#define JUMP_TABLES_IN_TEXT_SECTION	(flag_pic)
+#define JUMP_TABLES_IN_TEXT_SECTION	(GCC_OPTION (flag_pic))
 
 /* This is a version of REG_P that also returns TRUE for SUBREGs.  */
 #define RL78_REG_P(rtl) (REG_P (rtl) || GET_CODE (rtl) == SUBREG)
diff --git a/gcc/config/rs6000/750cl.h b/gcc/config/rs6000/750cl.h
index 218226b..de23e68 100644
--- a/gcc/config/rs6000/750cl.h
+++ b/gcc/config/rs6000/750cl.h
@@ -23,7 +23,7 @@
    <http://www.gnu.org/licenses/>.  */
 
 #undef TARGET_PAIRED_FLOAT
-#define TARGET_PAIRED_FLOAT rs6000_paired_float
+#define TARGET_PAIRED_FLOAT GCC_OPTION (rs6000_paired_float)
 
 #undef ASM_CPU_SPEC 
 #define ASM_CPU_SPEC "-m750cl"
diff --git a/gcc/config/rs6000/aix43.h b/gcc/config/rs6000/aix43.h
index 1274d44..bca0df3 100644
--- a/gcc/config/rs6000/aix43.h
+++ b/gcc/config/rs6000/aix43.h
@@ -26,12 +26,12 @@
 do {									\
   if (TARGET_64BIT && ! TARGET_POWERPC64)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_POWERPC64;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;			\
       warning (0, "-maix64 requires PowerPC64 architecture remain enabled"); \
     }									\
   if (TARGET_SOFT_FLOAT && TARGET_LONG_DOUBLE_128)			\
     {									\
-      rs6000_long_double_type_size = 64;				\
+      GCC_OPTION (rs6000_long_double_type_size) = 64;				\
       if (global_options_set.x_rs6000_long_double_type_size)		\
 	warning (0, "soft-float and long-double-128 are incompatible");	\
     }									\
diff --git a/gcc/config/rs6000/aix51.h b/gcc/config/rs6000/aix51.h
index caca74b..33e7454 100644
--- a/gcc/config/rs6000/aix51.h
+++ b/gcc/config/rs6000/aix51.h
@@ -26,7 +26,7 @@
 do {									\
   if (TARGET_64BIT && ! TARGET_POWERPC64)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_POWERPC64;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;			\
       warning (0, "-maix64 requires PowerPC64 architecture remain enabled"); \
     }									\
   if (TARGET_POWERPC64 && ! TARGET_64BIT)				\
diff --git a/gcc/config/rs6000/aix52.h b/gcc/config/rs6000/aix52.h
index a90c926..9cfb01e 100644
--- a/gcc/config/rs6000/aix52.h
+++ b/gcc/config/rs6000/aix52.h
@@ -26,12 +26,12 @@
 do {									\
   if (TARGET_64BIT && ! TARGET_POWERPC64)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_POWERPC64;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;			\
       warning (0, "-maix64 requires PowerPC64 architecture remain enabled"); \
     }									\
   if (TARGET_SOFT_FLOAT && TARGET_LONG_DOUBLE_128)			\
     {									\
-      rs6000_long_double_type_size = 64;				\
+      GCC_OPTION (rs6000_long_double_type_size) = 64;				\
       if (global_options_set.x_rs6000_long_double_type_size)		\
 	warning (0, "soft-float and long-double-128 are incompatible");	\
     }									\
diff --git a/gcc/config/rs6000/aix53.h b/gcc/config/rs6000/aix53.h
index 65887c9..36ec092 100644
--- a/gcc/config/rs6000/aix53.h
+++ b/gcc/config/rs6000/aix53.h
@@ -26,12 +26,12 @@
 do {									\
   if (TARGET_64BIT && ! TARGET_POWERPC64)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_POWERPC64;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;			\
       warning (0, "-maix64 requires PowerPC64 architecture remain enabled"); \
     }									\
   if (TARGET_SOFT_FLOAT && TARGET_LONG_DOUBLE_128)			\
     {									\
-      rs6000_long_double_type_size = 64;				\
+      GCC_OPTION (rs6000_long_double_type_size) = 64;				\
       if (global_options_set.x_rs6000_long_double_type_size)		\
 	warning (0, "soft-float and long-double-128 are incompatible");	\
     }									\
diff --git a/gcc/config/rs6000/aix61.h b/gcc/config/rs6000/aix61.h
index e21a230..adbc8d2 100644
--- a/gcc/config/rs6000/aix61.h
+++ b/gcc/config/rs6000/aix61.h
@@ -26,12 +26,12 @@
 do {									\
   if (TARGET_64BIT && ! TARGET_POWERPC64)				\
     {									\
-      rs6000_isa_flags |= OPTION_MASK_POWERPC64;			\
+      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;			\
       warning (0, "-maix64 requires PowerPC64 architecture remain enabled"); \
     }									\
   if (TARGET_SOFT_FLOAT && TARGET_LONG_DOUBLE_128)			\
     {									\
-      rs6000_long_double_type_size = 64;				\
+      GCC_OPTION (rs6000_long_double_type_size) = 64;				\
       if (global_options_set.x_rs6000_long_double_type_size)		\
 	warning (0, "soft-float and long-double-128 are incompatible");	\
     }									\
@@ -39,22 +39,22 @@ do {									\
     {									\
       error ("-maix64 required: 64-bit computation with 32-bit addressing not yet supported"); \
     }									\
-  if ((rs6000_isa_flags_explicit					\
+  if ((GCC_OPTION (rs6000_isa_flags_explicit)					\
        & OPTION_MASK_MINIMAL_TOC) != 0)					\
     {									\
       if (global_options_set.x_rs6000_current_cmodel			\
-	  && rs6000_current_cmodel != CMODEL_SMALL)			\
+	  && GCC_OPTION (rs6000_current_cmodel) != CMODEL_SMALL)			\
 	error ("-mcmodel incompatible with other toc options"); 	\
       SET_CMODEL (CMODEL_SMALL);					\
     }									\
-  if (rs6000_current_cmodel != CMODEL_SMALL)				\
+  if (GCC_OPTION (rs6000_current_cmodel) != CMODEL_SMALL)				\
     {									\
-      TARGET_NO_FP_IN_TOC = 0;						\
-      TARGET_NO_SUM_IN_TOC = 0;						\
+      GCC_OPTION (TARGET_NO_FP_IN_TOC) = 0;						\
+      GCC_OPTION (TARGET_NO_SUM_IN_TOC) = 0;						\
     }									\
-  if (rs6000_current_cmodel == CMODEL_MEDIUM)				\
+  if (GCC_OPTION (rs6000_current_cmodel) == CMODEL_MEDIUM)				\
     {									\
-      rs6000_current_cmodel = CMODEL_LARGE;				\
+      GCC_OPTION (rs6000_current_cmodel) = CMODEL_LARGE;				\
     }									\
 } while (0);
 
@@ -200,8 +200,8 @@ extern long long int    atoll(const char *);
 /* Large TOC Support */
 #ifdef HAVE_LD_LARGE_TOC
 #undef TARGET_CMODEL
-#define TARGET_CMODEL rs6000_current_cmodel
-#define SET_CMODEL(opt) rs6000_current_cmodel = opt
+#define TARGET_CMODEL GCC_OPTION (rs6000_current_cmodel)
+#define SET_CMODEL(opt) GCC_OPTION (rs6000_current_cmodel) = opt
 #else
 #define SET_CMODEL(opt) do {} while (0)
 #endif
diff --git a/gcc/config/rs6000/darwin.h b/gcc/config/rs6000/darwin.h
index 0329f3f..c8afc70 100644
--- a/gcc/config/rs6000/darwin.h
+++ b/gcc/config/rs6000/darwin.h
@@ -69,11 +69,11 @@ extern int darwin_emit_branch_islands;
 #define C_COMMON_OVERRIDE_OPTIONS do {					\
   /* On powerpc, __cxa_get_exception_ptr is available starting in the	\
      10.4.6 libstdc++.dylib.  */					\
-  if (strverscmp (darwin_macosx_version_min, "10.4.6") < 0		\
-      && flag_use_cxa_get_exception_ptr == 2)				\
-    flag_use_cxa_get_exception_ptr = 0;					\
-  if (flag_mkernel)							\
-    flag_no_builtin = 1;						\
+  if (strverscmp (GCC_OPTION (darwin_macosx_version_min), "10.4.6") < 0		\
+      && GCC_OPTION (flag_use_cxa_get_exception_ptr) == 2)				\
+    GCC_OPTION (flag_use_cxa_get_exception_ptr) = 0;					\
+  if (GCC_OPTION (flag_mkernel))							\
+    GCC_OPTION (flag_no_builtin) = 1;						\
   SUBTARGET_C_COMMON_OVERRIDE_OPTIONS;					\
 } while (0)
 
@@ -359,7 +359,7 @@ extern int darwin_emit_branch_islands;
 /* For binary compatibility with 2.95; Darwin C APIs use bool from
    stdbool.h, which was an int-sized enum in 2.95.  Users can explicitly
    choose to have sizeof(bool)==1 with the -mone-byte-bool switch. */
-#define BOOL_TYPE_SIZE (darwin_one_byte_bool ? CHAR_TYPE_SIZE : INT_TYPE_SIZE)
+#define BOOL_TYPE_SIZE (GCC_OPTION (darwin_one_byte_bool) ? CHAR_TYPE_SIZE : INT_TYPE_SIZE)
 
 #undef REGISTER_TARGET_PRAGMAS
 #define REGISTER_TARGET_PRAGMAS() \
@@ -380,7 +380,7 @@ extern int darwin_emit_branch_islands;
    accessed indirectly.  The runtime uses this indirection to forward
    references for data to the original instance of that data.  */
 
-#define TARGET_FIX_AND_CONTINUE (darwin_fix_and_continue)
+#define TARGET_FIX_AND_CONTINUE (GCC_OPTION (darwin_fix_and_continue))
 
 /* This is the reserved direct dispatch address for Objective-C.  */
 #define OFFS_MSGSEND_FAST		0xFFFEFF00
@@ -394,7 +394,7 @@ extern int darwin_emit_branch_islands;
 
 /* When generating kernel code or kexts, we don't use Altivec by
    default, as kernel code doesn't save/restore those registers.  */
-#define OS_MISSING_ALTIVEC (flag_mkernel || flag_apple_kext)
+#define OS_MISSING_ALTIVEC (GCC_OPTION (flag_mkernel) || GCC_OPTION (flag_apple_kext))
 
 /* Darwin has support for section anchors on powerpc*.  
    It is disabled for any section containing a "zero-sized item" (because these
diff --git a/gcc/config/rs6000/e500.h b/gcc/config/rs6000/e500.h
index 2fd1d12..70b5d08 100644
--- a/gcc/config/rs6000/e500.h
+++ b/gcc/config/rs6000/e500.h
@@ -23,11 +23,11 @@
 #undef TARGET_E500_DOUBLE
 #undef CHECK_E500_OPTIONS
 
-#define TARGET_SPE_ABI rs6000_spe_abi
-#define TARGET_SPE rs6000_spe
-#define TARGET_FPRS (rs6000_float_gprs == 0)
-#define TARGET_E500_SINGLE (TARGET_HARD_FLOAT && rs6000_float_gprs == 1)
-#define TARGET_E500_DOUBLE (TARGET_HARD_FLOAT && rs6000_float_gprs == 2)
+#define TARGET_SPE_ABI GCC_OPTION (rs6000_spe_abi)
+#define TARGET_SPE GCC_OPTION (rs6000_spe)
+#define TARGET_FPRS (GCC_OPTION (rs6000_float_gprs) == 0)
+#define TARGET_E500_SINGLE (TARGET_HARD_FLOAT && GCC_OPTION (rs6000_float_gprs) == 1)
+#define TARGET_E500_DOUBLE (TARGET_HARD_FLOAT && GCC_OPTION (rs6000_float_gprs) == 2)
 #define CHECK_E500_OPTIONS						\
   do {									\
     if (TARGET_SPE || TARGET_SPE_ABI					\
diff --git a/gcc/config/rs6000/eabialtivec.h b/gcc/config/rs6000/eabialtivec.h
index d65f0d5..30e7a4f 100644
--- a/gcc/config/rs6000/eabialtivec.h
+++ b/gcc/config/rs6000/eabialtivec.h
@@ -24,4 +24,4 @@
 #define TARGET_DEFAULT (MASK_EABI | MASK_ALTIVEC)
 
 #undef  SUBSUBTARGET_OVERRIDE_OPTIONS
-#define SUBSUBTARGET_OVERRIDE_OPTIONS	rs6000_altivec_abi = 1
+#define SUBSUBTARGET_OVERRIDE_OPTIONS	GCC_OPTION (rs6000_altivec_abi) = 1
diff --git a/gcc/config/rs6000/freebsd.h b/gcc/config/rs6000/freebsd.h
index 9293dca..0c9ce85 100644
--- a/gcc/config/rs6000/freebsd.h
+++ b/gcc/config/rs6000/freebsd.h
@@ -71,7 +71,7 @@
    -mrelocatable or -mrelocatable-lib is given.  */
 #undef RELOCATABLE_NEEDS_FIXUP
 #define RELOCATABLE_NEEDS_FIXUP \
-  (rs6000_isa_flags & rs6000_isa_flags_explicit & OPTION_MASK_RELOCATABLE)
+  (GCC_OPTION (rs6000_isa_flags) & GCC_OPTION (rs6000_isa_flags_explicit) & OPTION_MASK_RELOCATABLE)
 
 #define DBX_REGISTER_NUMBER(REGNO) rs6000_dbx_register_number (REGNO)
 
diff --git a/gcc/config/rs6000/freebsd64.h b/gcc/config/rs6000/freebsd64.h
index 4f678f6..29335aa 100644
--- a/gcc/config/rs6000/freebsd64.h
+++ b/gcc/config/rs6000/freebsd64.h
@@ -41,8 +41,8 @@ extern int dot_symbols;
 #define TARGET_USES_LINUX64_OPT 1
 #ifdef HAVE_LD_LARGE_TOC
 #undef TARGET_CMODEL
-#define TARGET_CMODEL rs6000_current_cmodel
-#define SET_CMODEL(opt) rs6000_current_cmodel = opt
+#define TARGET_CMODEL GCC_OPTION (rs6000_current_cmodel)
+#define SET_CMODEL(opt) GCC_OPTION (rs6000_current_cmodel) = opt
 #else
 #define SET_CMODEL(opt) do {} while (0)
 #endif
@@ -57,7 +57,7 @@ extern int dot_symbols;
    -mrelocatable or -mrelocatable-lib is given.  */
 #undef RELOCATABLE_NEEDS_FIXUP
 #define RELOCATABLE_NEEDS_FIXUP \
-  (rs6000_isa_flags & rs6000_isa_flags_explicit & OPTION_MASK_RELOCATABLE)
+  (GCC_OPTION (rs6000_isa_flags) & GCC_OPTION (rs6000_isa_flags_explicit) & OPTION_MASK_RELOCATABLE)
 
 #undef  RS6000_ABI_NAME
 #define RS6000_ABI_NAME "freebsd"
@@ -70,40 +70,40 @@ extern int dot_symbols;
   do								\
     {								\
       if (!global_options_set.x_rs6000_alignment_flags)		\
-	rs6000_alignment_flags = MASK_ALIGN_NATURAL;		\
+	GCC_OPTION (rs6000_alignment_flags) = MASK_ALIGN_NATURAL;		\
       if (TARGET_64BIT)						\
 	{							\
 	  if (DEFAULT_ABI != ABI_AIX)				\
 	    {							\
-	      rs6000_current_abi = ABI_AIX;			\
+	      GCC_OPTION (rs6000_current_abi) = ABI_AIX;			\
 	      error (INVALID_64BIT, "call");			\
 	    }							\
-	  dot_symbols = !strcmp (rs6000_abi_name, "aixdesc");	\
-	  if (rs6000_isa_flags & OPTION_MASK_RELOCATABLE)	\
+	  dot_symbols = !strcmp (GCC_OPTION (rs6000_abi_name), "aixdesc");	\
+	  if (GCC_OPTION (rs6000_isa_flags) & OPTION_MASK_RELOCATABLE)	\
 	    {							\
-	      rs6000_isa_flags &= ~OPTION_MASK_RELOCATABLE;	\
+	      GCC_OPTION (rs6000_isa_flags) &= ~OPTION_MASK_RELOCATABLE;	\
 	      error (INVALID_64BIT, "relocatable");		\
 	    }							\
-	  if (rs6000_isa_flags & OPTION_MASK_EABI)		\
+	  if (GCC_OPTION (rs6000_isa_flags) & OPTION_MASK_EABI)		\
 	    {							\
-	      rs6000_isa_flags &= ~OPTION_MASK_EABI;		\
+	      GCC_OPTION (rs6000_isa_flags) &= ~OPTION_MASK_EABI;		\
 	      error (INVALID_64BIT, "eabi");			\
 	    }							\
 	  if (TARGET_PROTOTYPE)					\
 	    {							\
-	      target_prototype = 0;				\
+	      GCC_OPTION (target_prototype) = 0;				\
 	      error (INVALID_64BIT, "prototype");		\
 	    }							\
-	  if ((rs6000_isa_flags & OPTION_MASK_POWERPC64) == 0)	\
+	  if ((GCC_OPTION (rs6000_isa_flags) & OPTION_MASK_POWERPC64) == 0)	\
 	    {							\
-	      rs6000_isa_flags |= OPTION_MASK_POWERPC64;	\
+	      GCC_OPTION (rs6000_isa_flags) |= OPTION_MASK_POWERPC64;	\
 	      error ("-m64 requires a PowerPC64 cpu");		\
 	    }							\
-	   if ((rs6000_isa_flags_explicit			\
+	   if ((GCC_OPTION (rs6000_isa_flags_explicit)			\
 		& OPTION_MASK_MINIMAL_TOC) != 0)		\
 	    {							\
 	      if (global_options_set.x_rs6000_current_cmodel	\
-		  && rs6000_current_cmodel != CMODEL_SMALL)	\
+		  && GCC_OPTION (rs6000_current_cmodel) != CMODEL_SMALL)	\
 		error ("-mcmodel incompatible with other toc options"); \
 	      SET_CMODEL (CMODEL_SMALL);			\
 	    }							\
@@ -111,10 +111,10 @@ extern int dot_symbols;
 	    {							\
 	      if (!global_options_set.x_rs6000_current_cmodel)	\
 		SET_CMODEL (CMODEL_MEDIUM);			\
-	      if (rs6000_current_cmodel != CMODEL_SMALL)	\
+	      if (GCC_OPTION (rs6000_current_cmodel) != CMODEL_SMALL)	\
 		{						\
-		  TARGET_NO_FP_IN_TOC = 0;			\
-		  TARGET_NO_SUM_IN_TOC = 0;			\
+		  GCC_OPTION (TARGET_NO_FP_IN_TOC) = 0;			\
+		  GCC_OPTION (TARGET_NO_SUM_IN_TOC) = 0;			\
 		}						\
 	    }							\
 	}							\
@@ -351,7 +351,7 @@ extern int dot_symbols;
    true if the symbol may be affected by dynamic relocations.  */
 #undef	ASM_PREFERRED_EH_DATA_FORMAT
 #define	ASM_PREFERRED_EH_DATA_FORMAT(CODE, GLOBAL) \
-  ((TARGET_64BIT || flag_pic || TARGET_RELOCATABLE)			\
+  ((TARGET_64BIT || GCC_OPTION (flag_pic) || TARGET_RELOCATABLE)			\
    ? (((GLOBAL) ? DW_EH_PE_indirect : 0) | DW_EH_PE_pcrel		\
       | (TARGET_64BIT ? DW_EH_PE_udata8 : DW_EH_PE_sdata4))		\
    : DW_EH_PE_absptr)
@@ -385,7 +385,7 @@ extern int dot_symbols;
 #define MINIMAL_TOC_SECTION_ASM_OP \
   (TARGET_64BIT                                         \
    ? "\t.section\t\".toc1\",\"aw\""                     \
-   : ((TARGET_RELOCATABLE || flag_pic)                  \
+   : ((TARGET_RELOCATABLE || GCC_OPTION (flag_pic))                  \
       ? "\t.section\t\".got2\",\"aw\""                  \
       : "\t.section\t\".got1\",\"aw\""))
 
@@ -394,7 +394,7 @@ extern int dot_symbols;
 #define ASM_DECLARE_FUNCTION_SIZE(FILE, FNAME, DECL)                    \
   do                                                                    \
     {                                                                   \
-      if (!flag_inhibit_size_directive)                                 \
+      if (!GCC_OPTION (flag_inhibit_size_directive))                                 \
         {                                                               \
           fputs ("\t.size\t", (FILE));                                  \
           if (TARGET_64BIT && DOT_SYMBOLS)                              \
@@ -420,9 +420,9 @@ extern int dot_symbols;
            && ((TARGET_64BIT                                            \
                 && (TARGET_MINIMAL_TOC                                  \
                     || (SCALAR_FLOAT_MODE_P (GET_MODE (X))              \
-                        && ! TARGET_NO_FP_IN_TOC)))                     \
+                        && ! GCC_OPTION (TARGET_NO_FP_IN_TOC))))                     \
                || (!TARGET_64BIT                                        \
-                   && !TARGET_NO_FP_IN_TOC                              \
+                   && !GCC_OPTION (TARGET_NO_FP_IN_TOC)                              \
                    && !TARGET_RELOCATABLE                               \
                    && SCALAR_FLOAT_MODE_P (GET_MODE (X))                \
                    && BITS_PER_WORD == HOST_BITS_PER_INT)))))
diff --git a/gcc/config/rs6000/linux.h b/gcc/config/rs6000/linux.h
index 1f4579f..049cd6a 100644
--- a/gcc/config/rs6000/linux.h
+++ b/gcc/config/rs6000/linux.h
@@ -31,9 +31,9 @@
 #define OPTION_UCLIBC (DEFAULT_LIBC == LIBC_UCLIBC)
 #define OPTION_BIONIC (DEFAULT_LIBC == LIBC_BIONIC)
 #else
-#define OPTION_GLIBC  (linux_libc == LIBC_GLIBC)
-#define OPTION_UCLIBC (linux_libc == LIBC_UCLIBC)
-#define OPTION_BIONIC (linux_libc == LIBC_BIONIC)
+#define OPTION_GLIBC  (GCC_OPTION (linux_libc) == LIBC_GLIBC)
+#define OPTION_UCLIBC (GCC_OPTION (linux_libc) == LIBC_UCLIBC)
+#define OPTION_BIONIC (GCC_OPTION (linux_libc) == LIBC_BIONIC)
 #endif
 
 /* Determine what functions are present at the runtime;
@@ -127,7 +127,7 @@
    -mrelocatable or -mrelocatable-lib is given.  */
 #undef RELOCATABLE_NEEDS_FIXUP
 #define RELOCATABLE_NEEDS_FIXUP \
-  (rs6000_isa_flags & rs6000_isa_flags_explicit & OPTION_MASK_RELOCATABLE)
+  (GCC_OPTION (rs6000_isa_flags) & GCC_OPTION (rs6000_isa_flags_explicit) & OPTION_MASK_RELOCATABLE)
 
 #define TARGET_POSIX_IO
 
